-- Tests for slinalg.cpkg
Package $apcocoa/ts/slinalg


Define Initialize()
EndDefine;

-- Find echelon  form
Define TestSlinalg01()

TestRing::=ZZ/(2)[x];

Using TestRing Do
  NRow:=10;
  NCol:=13;
  M := [[1, 2, 6, 7],
        [1, 2, 4, 5, 6], 
        [2, 3], 
        [2, 3, 10, 11], 
        [2, 4, 6, 7, 9, 10], 
        [2, 10, 11, 13], 
        [5, 6, 8],
        [ 6, 8, 9,10,12],
        [6, 10, 12], 
        [10, 13]];

  Result:=Slinalg.SEF(NRow, NCol, M);
  Expected:=[[1,2,6,7], [2,3], [3,4,6,7,9,10], [4,5,7], [5,6,8], [6,8,9,10,12], [8,9,11,13], [10,11], [11,13]];
  $apcocoa/ts/assert.AssertEqualsExact(Result, Expected, "TestSlinalg01 Failed!");
EndUsing;

EndDefine;

EndPackage;
